Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IOP::TAO_IOR_Manipulation::IORList_var Class Reference

`#include <IORC.h>`

List of all members.

## Public Methods
| IORList_var (void)
| IORList_var (IORList *)
| IORList_var (const IORList_var &)
| ~IORList_var (void)
IORList_var & | operator= (IORList *)
IORList_var & | operator= (const IORList_var &)
IORList * | operator-> (void)
const IORList * | operator-> (void) const
| operator const IORList & () const
| operator IORList & ()
| operator IORList & () const
| operator IORList *& ()
TAO_Object_Manager< CORBA::Object, CORBA::Object_var > | operator[] (CORBA::ULong index)
const IORList & | in (void) const
IORList & | inout (void)
IORList *& | out (void)
IORList * | _retn (void)
IORList * | ptr (void) const
## Private Attributes
IORList * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE TAO_IOP::TAO_IOR_Manipulation::IORList_var::IORList_var | ( | void |  | ) |

ACE_INLINE TAO_IOP::TAO_IOR_Manipulation::IORList_var::IORList_var | ( | IORList * | p | ) |

TAO_IOP::TAO_IOR_Manipulation::IORList_var::IORList_var | ( | const IORList_var & |  | ) |

ACE_INLINE TAO_IOP::TAO_IOR_Manipulation::IORList_var::~IORList_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE::TAO_IOP::TAO_IOR_Manipulation::IORList * TAO_IOP::TAO_IOR_Manipulation::IORList_var::_retn | ( | void |  | ) |

ACE_INLINE const ::TAO_IOP::TAO_IOR_Manipulation::IORList & TAO_IOP::TAO_IOR_Manipulation::IORList_var::in | ( | void |  | ) | const

ACE_INLINE::TAO_IOP::TAO_IOR_Manipulation::IORList & TAO_IOP::TAO_IOR_Manipulation::IORList_var::inout | ( | void |  | ) |

TAO_IOP::TAO_IOR_Manipulation::IORList_var::operator const IORList & | ( |  | ) | const

TAO_IOP::TAO_IOR_Manipulation::IORList_var::operator IORList & | ( |  | ) | const

TAO_IOP::TAO_IOR_Manipulation::IORList_var::operator IORList & | ( |  | ) |

TAO_IOP::TAO_IOR_Manipulation::IORList_var::operator IORList *& | ( |  | ) |

ACE_INLINE const ::TAO_IOP::TAO_IOR_Manipulation::IORList * TAO_IOP::TAO_IOR_Manipulation::IORList_var::operator-> | ( | void |  | ) | const

ACE_INLINE::TAO_IOP::TAO_IOR_Manipulation::IORList * TAO_IOP::TAO_IOR_Manipulation::IORList_var::operator-> | ( | void |  | ) |

IORList_var& TAO_IOP::TAO_IOR_Manipulation::IORList_var::operator= | ( | const IORList_var & |  | ) |

ACE_INLINE TAO_IOP::TAO_IOR_Manipulation::IORList_var & TAO_IOP::TAO_IOR_Manipulation::IORList_var::operator= | ( | IORList * | p | ) |

CORBA::Object_var TAO_IOP::TAO_IOR_Manipulation::IORList_var::operator[] | ( | CORBA::ULong | index | ) |

ACE_INLINE::TAO_IOP::TAO_IOR_Manipulation::IORList *& TAO_IOP::TAO_IOR_Manipulation::IORList_var::out | ( | void |  | ) |

ACE_INLINE::TAO_IOP::TAO_IOR_Manipulation::IORList * TAO_IOP::TAO_IOR_Manipulation::IORList_var::ptr | ( | void |  | ) | const

## Member Data Documentation

IORList* TAO_IOP::TAO_IOR_Manipulation::IORList_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- IORC.h
- IORC.i